// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const roleBinding = await admin.roleBindings.describe('YOUR_ROLE_BINDING_ID');
console.log(roleBinding);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
roleBinding, err := adminClient.RoleBinding.Describe(ctx, "YOUR_ROLE_BINDING_ID")
if err != nil {
log.Fatalf("Failed to describe role binding: %v", err)
}
fmt.Printf("Role binding: %v (%v)\n", roleBinding.Role, roleBinding.Id)
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_role_binding" "example" {
id = "YOUR_ROLE_BINDING_ID"
}
output "role" {
value = data.pinecone_role_binding.example.role
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PINECONE_ROLE_BINDING_ID="9a8e3528-b9c0-4358-84ce-84c28e91b566"
curl -X GET "https://api.pinecone.io/admin/role-bindings/$PINECONE_ROLE_BINDING_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"id": "9a8e3528-b9c0-4358-84ce-84c28e91b566",
"principal_type": "service_account",
"principal_id": "f8a3b2c1-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"resource_type": "project",
"resource_id": "a2f7dddb-1597-4eff-9f71-535fde243f58",
"role": "DataPlaneEditor",
"created_at": "2026-04-10T15:23:00Z"
}
Get role binding details
Get a role binding in the caller’s organization by ID.
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const roleBinding = await admin.roleBindings.describe('YOUR_ROLE_BINDING_ID');
console.log(roleBinding);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
roleBinding, err := adminClient.RoleBinding.Describe(ctx, "YOUR_ROLE_BINDING_ID")
if err != nil {
log.Fatalf("Failed to describe role binding: %v", err)
}
fmt.Printf("Role binding: %v (%v)\n", roleBinding.Role, roleBinding.Id)
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_role_binding" "example" {
id = "YOUR_ROLE_BINDING_ID"
}
output "role" {
value = data.pinecone_role_binding.example.role
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PINECONE_ROLE_BINDING_ID="9a8e3528-b9c0-4358-84ce-84c28e91b566"
curl -X GET "https://api.pinecone.io/admin/role-bindings/$PINECONE_ROLE_BINDING_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"id": "9a8e3528-b9c0-4358-84ce-84c28e91b566",
"principal_type": "service_account",
"principal_id": "f8a3b2c1-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"resource_type": "project",
"resource_id": "a2f7dddb-1597-4eff-9f71-535fde243f58",
"role": "DataPlaneEditor",
"created_at": "2026-04-10T15:23:00Z"
}
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const roleBinding = await admin.roleBindings.describe('YOUR_ROLE_BINDING_ID');
console.log(roleBinding);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
roleBinding, err := adminClient.RoleBinding.Describe(ctx, "YOUR_ROLE_BINDING_ID")
if err != nil {
log.Fatalf("Failed to describe role binding: %v", err)
}
fmt.Printf("Role binding: %v (%v)\n", roleBinding.Role, roleBinding.Id)
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_role_binding" "example" {
id = "YOUR_ROLE_BINDING_ID"
}
output "role" {
value = data.pinecone_role_binding.example.role
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PINECONE_ROLE_BINDING_ID="9a8e3528-b9c0-4358-84ce-84c28e91b566"
curl -X GET "https://api.pinecone.io/admin/role-bindings/$PINECONE_ROLE_BINDING_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"id": "9a8e3528-b9c0-4358-84ce-84c28e91b566",
"principal_type": "service_account",
"principal_id": "f8a3b2c1-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"resource_type": "project",
"resource_id": "a2f7dddb-1597-4eff-9f71-535fde243f58",
"role": "DataPlaneEditor",
"created_at": "2026-04-10T15:23:00Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Path Parameters
Role binding ID
Response
The role binding.
Grants a role to a principal at a resource scope.
The unique ID of the role binding.
The kind of principal that receives permissions from a role binding.
Possible values: user, service_account, api_key, invite.
"service_account"
The principal's ID. A UUID for all principal types (user, service_account, api_key, invite).
"e2e92523-85dc-4142-b8c2-e681be8b78df"
The kind of resource scope a role binding applies to.
Possible values: organization, project.
"project"
The organization or project that the binding is scoped to.
A role assigned to a principal at a resource scope.
"ProjectOwner"
When the role binding was created.
Was this page helpful?